diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/templates/fts_configuration/js/fts_configuration.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/templates/fts_configuration/js/fts_configuration.js
index 62d06c5..8d74700 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/templates/fts_configuration/js/fts_configuration.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/templates/fts_configuration/js/fts_configuration.js
@@ -201,15 +201,14 @@ function($, _, S, pgAdmin, pgBrowser, alertify) {
         '   </div>',
         '   <div class="col-xs-6" header="token"></div>',
         '   <div class="col-xs-2">',
-        '     <button class="btn-sm btn-default add" <%=canAdd ? "" : "disabled=\'disabled\'"%> ><%-add_label%></buttton>',
+        '     <button class="btn-sm btn-default add fa fa-plus" <%=canAdd ? "" : "disabled=\'disabled\'"%> ></buttton>',
         '   </div>',
         '  </div>',
         ' </div>',
         '</div>',].join("\n")
 
       _.extend(data, {
-        token_label: '{{ _('Tokens') }}',
-        add_label: '{{ _('Add') }}'
+        token_label: '{{ _('Tokens') }}'
       });
 
       var self = this,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/templates/exclusion_constraint/js/exclusion_constraint.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/templates/exclusion_constraint/js/exclusion_constraint.js
index 1bb493f..6306116 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/templates/exclusion_constraint/js/exclusion_constraint.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/templates/exclusion_constraint/js/exclusion_constraint.js
@@ -402,15 +402,14 @@ function($, _, S, pgAdmin, pgBrowser, Alertify) {
         '   </div>',
         '   <div class="col-xs-4" header="column"></div>',
         '   <div class="col-xs-4">',
-        '     <button class="btn-sm btn-default add" <%=canAdd ? "" : "disabled=\'disabled\'"%> ><%-add_label%></buttton>',
+        '     <button class="btn-sm btn-default add fa fa-plus" <%=canAdd ? "" : "disabled=\'disabled\'"%> ></buttton>',
         '   </div>',
         '  </div>',
         ' </div>',
         '</div>',].join("\n")
 
       _.extend(data, {
-        column_label: '{{ _('Column') }}',
-        add_label: '{{ _('Add') }}'
+        column_label: '{{ _('Column') }}'
       });
 
       var self = this,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/templates/foreign_key/js/foreign_key.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/templates/foreign_key/js/foreign_key.js
index 6bd6195..3ffa6ef 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/templates/foreign_key/js/foreign_key.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/templates/foreign_key/js/foreign_key.js
@@ -301,7 +301,7 @@ function($, _, S, pgAdmin, pgBrowser, Alertify) {
         '   </div>',
         '   <div class="col-md-4" header="local_column"></div>',
         '   <div class="col-md-4">',
-        '     <button class="btn-sm btn-default add" <%=canAdd ? "" : "disabled=\'disabled\'"%> ><%-add_label%></buttton>',
+        '     <button class="btn-sm btn-default add fa fa-plus" <%=canAdd ? "" : "disabled=\'disabled\'"%> ></buttton>',
         '   </div>',
         '  </div>',
         '  <div class="row">',
@@ -321,7 +321,6 @@ function($, _, S, pgAdmin, pgBrowser, Alertify) {
 
       _.extend(data, {
         column_label: '{{ _('Local column') }}',
-        add_label: '{{ _('Add') }}',
         references_label: '{{ _('References') }}',
         referenced_label: '{{ _('Referencing') }}'
       });
diff --git a/web/pgadmin/browser/server_groups/servers/static/js/variable.js b/web/pgadmin/browser/server_groups/servers/static/js/variable.js
index 1413dbc..7b27212 100644
--- a/web/pgadmin/browser/server_groups/servers/static/js/variable.js
+++ b/web/pgadmin/browser/server_groups/servers/static/js/variable.js
@@ -373,7 +373,7 @@
           titleTmpl = _.template([
             "<div class='subnode-header'>",
             "<label class='control-label'><%-label%></label>",
-            "<button class='btn-sm btn-default add' <%=canAdd ? '' : 'disabled=\"disabled\"'%>>Add</buttton>",
+            "<button class='btn-sm btn-default add fa fa-plus' <%=canAdd ? '' : 'disabled=\"disabled\"'%>></buttton>",
             "</div>"].join("\n")),
           $gridBody =
             $("<div class='pgadmin-control-group backgrid form-group col-xs-12 object subnode'></div>").append(
diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index eadea8a..2530db9 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -948,7 +948,7 @@
         canDelete: evalF.apply(this.field, [data.canDelete, data, this.model]),
         canEdit: evalF.apply(this.field, [data.canEdit, data, this.model])
       });
-      _.extend(data, {add_label: "Add"});
+      _.extend(data, {add_label: ""});
 
       // This control is not visible, we should remove it.
       if (!data.visible) {
@@ -971,7 +971,7 @@
           gridHeader = _.template([
           '<div class="subnode-header">',
           '  <label class="control-label pg-el-sm-10"><%-label%></label>',
-          '  <button class="btn-sm btn-default add" <%=canAdd ? "" : "disabled=\'disabled\'"%>><%-add_label%></buttton>',
+          '  <button class="btn-sm btn-default add fa fa-plus" <%=canAdd ? "" : "disabled=\'disabled\'"%>><%-add_label%></buttton>',
           '</div>'].join("\n")),
         gridBody = $('<div class="pgadmin-control-group backgrid form-group pg-el-xs-12 object subnode"></div>').append(
             gridHeader(data)
@@ -1209,7 +1209,7 @@
       var self = this,
           gridHeader = ["<div class='subnode-header'>",
           "  <label class='control-label pg-el-sm-10'>" + data.label + "</label>" ,
-          "  <button class='btn-sm btn-default add'>Add</buttton>",
+          "  <button class='btn-sm btn-default add fa fa-plus'></buttton>",
           "</div>"].join("\n");
         gridBody = $("<div class='pgadmin-control-group backgrid form-group pg-el-xs-12 object subnode'></div>").append(gridHeader);
 
diff --git a/web/pgadmin/tools/user_management/templates/user_management/js/user_management.js b/web/pgadmin/tools/user_management/templates/user_management/js/user_management.js
index 58facb1..c8c91c7 100644
--- a/web/pgadmin/tools/user_management/templates/user_management/js/user_management.js
+++ b/web/pgadmin/tools/user_management/templates/user_management/js/user_management.js
@@ -532,14 +532,13 @@ define([
                   userCollection = this.userCollection = new UserCollection(),
                   header = [
                     '<div class="subnode-header">',
-                    '  <button class="btn-sm btn-default add" title="<%-add_title%>" <%=canAdd ? "" : "disabled=\'disabled\'"%> ><%=add_label ? add_label : "" %></button>',
+                    '  <button class="btn-sm btn-default add fa fa-plus" title="<%-add_title%>" <%=canAdd ? "" : "disabled=\'disabled\'"%> ></button>',
                     '  <div class="control-label search_users"></div>',
                     '</div>',].join("\n"),
                   headerTpl = _.template(header),
                   data = {
                     canAdd: true,
-                    add_title: '{{ _("Add new user") }}',
-                    add_label:'{{ _('Add') }}'
+                    add_title: '{{ _("Add new user") }}'
                   },
                   $gridBody = $("<div></div>", {
                     class: "user_container"
